%global momorel 1
%{expand: %%define pyver %(python -c 'import sys;print(sys.version[0:3])')}

Name:    Pyrex
Summary: A Language for Writing Python Extension Modules
Version: 0.9.8.5
Release: %{momorel}m%{?dist}
Source0: http://www.cosc.canterbury.ac.nz/greg.ewing/python/%{name}/%{name}-%{version}.tar.gz
NoSource: 0
#Copyright: UNKNOWN
License: Public Domain
Group: Development/Libraries
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArchitectures: noarch
BuildRequires: python >= 2.5-1m
URL: http://www.cosc.canterbury.ac.nz/~greg/python/Pyrex/

%description
Pyrex lets you write code that mixes Python and C data types any way you want, 
and compiles it into a C extension for Python.

%prep
%setup -q

%build
python setup.py build

%install
python setup.py install --root=%{buildroot} --record=INSTALLED_FILES

%clean
%{__rm} -rf %{buildroot}

%files -f INSTALLED_FILES
%defattr(-,root,root)

%changelog
* Sun Jun 28 2009 Yohsuke Ooi <meke@momonga-linux.org> 
- (0.9.8.5-1m)
- update 0.9.8.5

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.9.8.4-3m)
- rebuild against rpm-4.6

* Wed Dec 31 2008 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (0.9.8.4-2m)
- rebuild agaisst python-2.6.1-1

* Mon Jun 16 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (0.9.8.4-1m)
- update 0.9.8.4

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.9.4.1-3m)
- rebuild against gcc43

* Wed Feb  7 2007 Masanobu Sato <satoshiga@momonga-linux.org>
- (0.9.4.1-2m)
- rebuild against python-2.5-9m

* Sun Jan 21 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.9.4.1-1m)
- update 0.9.4.1

* Thu Jan 11 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (0.9.4-1m)
- update 0.9.4

* Sat Dec 23 2006 Yohsuke Ooi <meke@momonga-linux.org>
- (0.9.3.1-4m)
- rebuild against python-2.5

* Sun Dec 25 2005 Mitsuru Shimamura <smbd@momonga-linux.org>
- (0.9.3.1-3m)
- no NoSorce

* Wed Nov  2 2005 Ryu SASAOKA <ryu@momonga-linux.org>
- (0.9.3.1-2m)
- revised spec

* Sun Oct 30 2005 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (0.9.3.1-1m)
- update to 0.9.3.1
 
* Sat Oct 29 2005 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (0.9.3-2m)
- build against python-2.4.2

